Subject: Re: bug#6871: Please make linum-mode per buffer, not per major mode

From: Juanma Barranquero <[email-masked]>
Date: Thu, 19 Aug 2010 23:57:10 +0200

On Thu, Aug 19, 2010 at 23:23, Lennart Borgman
<[email-masked]> wrote:

> I thought the intent would be obvious in this small amount of code,
> but it looks like I am wrong.

Usually, changes are much clearer to the writer than to the reader :-)

> Do you try to keep multiple copies of the code with different patches
> in each? Or what do you do?

That depends. I don't develop on the trunk, but a branch, so if some
of the changes are trivial fixes or whatever, I move them to the trunk
and commit them right now (so one less thing to think about) and keep
the other changes in the branch while I refine them. Else, I commit
each change to my branch as separate commits, and then, when the time
comes to merge back to the trunk, I decide if they are related or not,
so I push them as a merge or separate commits.

    Juanma